Dmitry Karasik > IO-Lambda-1.23 > IO::Lambda::Compat

Download:
IO-Lambda-1.23.tar.gz

Dependencies

Annotate this POD

CPAN RT

Open  0
View/Report Bugs
Source  

NAME ^

IO::Lambda::Compat - compatibility with pre-v1.00 version API

SYNOPSIS ^

   use IO::Lambda qw(:lambda);
   use IO::Lambda::Compat;

   lambda {
      context $socket;
      read { }
   }

DESCRIPTION ^

The module exports the following names, which were renamed in IO::Lambda after version 1.01: read, write, sleep, readwrite, predicate. Issue use IO::Lambda::Compat to make older programs compatible with the newer API.

syntax highlighting: